
Application: gvSIG desktop - gvSIG bugs #1450
Error al definir autopoligonos con lados cruzados
12/04/2012 01:24 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2060 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Abrir gvSIG
Crear nueva vista
Añadir capa snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_polygon.zip)
Poner la capa en edición (botón derecho "comenzar edición")
Añadir un rectangulo
Crear autopoligono envolvente al rectangulo anterior, con lados crudados (como muestran las imagenes adjuntas).
Al terminar el autopolígono aparce una ventana parpadeando deslizandose hacia abajo. Para cerrarla hay que pulsar el botón "ESC".
Además el siguiente error de aviso:
Error_in_Autocomplete_Polygon_Tool_ found non-noded intersection between LINESTRING ( 1.6242540612480313E7
2.0157463575912084E7, 1.538254966400271E7 1.9289942058708757E7 ) and LINESTRING ( 1.8339050945721686E7
1.9838167461941414E7, 1.3049579472773625E7 1.971767836232984E7 ) [ (1.5870267812542936E7, 1.9781930944101352E7,
NaN) ]
Se adjuntan print1 y print 2 para que se vean los pasos al crear el autopoligono.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1845: Autopolygon tool d... Closed 05/17/2013

History
#1 - 12/07/2012 01:46 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/12/2012 11:10 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#3 - 04/25/2013 02:42 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#4 - 09/17/2013 05:19 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#5 - 09/20/2013 11:55 AM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1
http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_polygon.zip


Added missing method and improved error handling.

gvsig-desktop:r40728

#6 - 01/13/2014 09:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#7 - 01/28/2014 09:36 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
print_1 143 KB 12/04/2012 Vicent Domenech
print2 154 KB 12/04/2012 Vicent Domenech
